> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm an attachment upload and save it to the card



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /cards/{cardPublicId}/attachments/confirm
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /cards/{cardPublicId}/attachments/confirm:
    post:
      tags:
        - Attachments
      summary: Confirm an attachment upload and save it to the card
      operationId: confirmAttachment
      parameters:
        - name: cardPublicId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmAttachmentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachmentResponseDto_Output'
      security:
        - bearer: []
components:
  schemas:
    ConfirmAttachmentDto:
      type: object
      properties:
        s3Key:
          type: string
        filename:
          type: string
        originalFilename:
          type: string
        contentType:
          type: string
        size:
          type: number
          exclusiveMinimum: true
          minimum: 0
      required:
        - s3Key
        - filename
        - originalFilename
        - contentType
        - size
    AttachmentResponseDto_Output:
      type: object
      properties:
        publicId:
          type: string
        filename:
          type: string
        originalFilename:
          type: string
        contentType:
          type: string
        size:
          type: number
        s3Key:
          type: string
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
      required:
        - publicId
        - filename
        - originalFilename
        - contentType
        - size
        - s3Key
        - createdAt
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.